PHP 手冊
前一頁 |  | 下一頁

# xattr_set

(no version information, might be only in CVS)

xattr_set -- Set an extended attribute

## Description

bool xattr_set ( string filename, string name, string value [, int flags] )

This function sets the value of an extended attribute of a file.

Extended attributes have two different namespaces: user and root namespace. User namespace is available for all users while root namespace is available only for user with root privileges. xattr operates on user namespace by default, but you can change that using flags argument.

## Parameters

filename

  The file in which we set the attribute.

name

  The name of the extended attribute. This attribute will be created if it doesn't exist or replaced otherwise. You can change this behaviour by using the flags parameter.

value

  The value of the attribute.

flags

  表格 1. Supported xattr flags

  `XATTR_CREATE` | Function will fail if extended attribute already exists.
  `XATTR_REPLACE` | Function will fail if extended attribute doesn't exist.
  `XATTR_DONTFOLLOW` | Do not follow the symbolic link but operate on symbolic link itself.
  `XATTR_ROOT` | Set attribute in root (trusted) namespace. Requires root privileges.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. Sets extended attributes on .wav file

`<?php $file = 'my_favourite_song.wav'; xattr_set($file, 'Artist', 'Someone'); xattr_set($file, 'My ranking', 'Good'); xattr_set($file, 'Listen count', '34'); /* ... other code ... */ printf("You've played this song %d times", xattr_get($file, 'Listen count')); ?>`

## 參考

xattr_get()
xattr_remove()

前一頁 | 內容 | 下一頁
xattr_remove | 上一層 | xattr_supported